services:
  hamtab:
    image: stevencheist/hamtab:latest
    ports:
      - "3000:3000"
      - "3443:3443"
    volumes:
      - hamtab-certs:/app/certs
    environment:
      - PORT=3000
      - HTTPS_PORT=3443
      # - WU_API_KEY=your_key_here
      # - N2YO_API_KEY=your_key_here
    restart: unless-stopped

volumes:
  hamtab-certs:
